Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZLinkSection Class Reference

## Public Member Functions
| __construct ( $id, $module)
| get ( $id)
| store ()
| delete ( $id=false, $module=false)
| fill ( $row)
& | links ()
| moveUp ( $objectid, $id, $module, $type)
| moveDown ( $objectid, $id, $module, $type)
| setName ( $name)
| id ()
| name ()

## Public Attributes
| $Module
| $ID
| $Name

## Detailed Description

! eZCommon The class eZLinkSection handles link sections.

Link sections are connected to a specific item in a module and contains zero or more links.

To link a linksection to an item you need to use the eZModuleLink class.

See also
  eZModuleLink

Definition at line 42 of file ezlinksection.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZLinkSection::__construct | ( |  | $id,
|  |  | $module
| ) |  |

Initializes the link section with an $id and $module name. Set the id to false to create a new section.

Definition at line 48 of file ezlinksection.php.

References $id, and $module.

## Member Function Documentation

## ◆ delete()

eZLinkSection::delete | ( |  | $id = `false`,
|  |  | $module = `false`
| ) |  |

Deletes the linksections and all links connected to it from the database.

Definition at line 103 of file ezlinksection.php.

References $db, $ID, $id, $module, $Module, $res, and eZDB\globalDatabase().

## ◆ fill()

eZLinkSection::fill | ( |  | $row | ) |

Fills in database information in the object.

Definition at line 124 of file ezlinksection.php.

References $db, $row, eZDB\globalDatabase(), and Name.

Referenced by get().

## ◆ get()

eZLinkSection::get | ( |  | $id | ) |

Fetches the link section from the database with the given id.

Definition at line 59 of file ezlinksection.php.

References $db, $row, fill(), and eZDB\globalDatabase().

## ◆ id()

eZLinkSection::id | ( |  | ) |

Returns the id of the section.

Definition at line 240 of file ezlinksection.php.

References $ID.

## ◆ links()

& eZLinkSection::links | ( |  | ) |

Returns an array of links connected to this section.

Definition at line 133 of file ezlinksection.php.

References $db, $ret, $row, and eZDB\globalDatabase().

## ◆ moveDown()

eZLinkSection::moveDown | ( |  | $objectid,
|  |  | $id,
|  |  | $module,
|  |  | $type
| ) |  |

Moves the linksection down one place in the section list. If the bottom is reached it is wrapped to the top.

Definition at line 192 of file ezlinksection.php.

References $db, $items, $module, $res, $type, and eZDB\globalDatabase().

## ◆ moveUp()

eZLinkSection::moveUp | ( |  | $objectid,
|  |  | $id,
|  |  | $module,
|  |  | $type
| ) |  |

Moves the linksection up one place in the section list. If the top is reached it is wrapped to the bottom.

Definition at line 151 of file ezlinksection.php.

References $db, $items, $module, $res, $type, and eZDB\globalDatabase().

## ◆ name()

eZLinkSection::name | ( |  | ) |

Returns the name of the section.

Definition at line 248 of file ezlinksection.php.

References $Name.

## ◆ setName()

eZLinkSection::setName | ( |  | $name | ) |

Sets the name of the section.

Definition at line 232 of file ezlinksection.php.

References $name, and Name.

## ◆ store()

eZLinkSection::store | ( |  | ) |

Stores the link section in the database.

Definition at line 70 of file ezlinksection.php.

References $db, $res, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $ID

eZLinkSection::$ID

Definition at line 254 of file ezlinksection.php.

Referenced by delete(), and id().

## ◆ $Module

eZLinkSection::$Module

Definition at line 253 of file ezlinksection.php.

Referenced by delete().

## ◆ $Name

eZLinkSection::$Name

Definition at line 255 of file ezlinksection.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezlinksection.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.